Last Comment Bug 733513 - Enable accessibility on Mac
: Enable accessibility on Mac
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86_64 Linux
-- normal (vote)
: mozilla15
Assigned To: Hubert Figuiere [:hub]
:
: alexander :surkov
Mentors:
Depends on: 746160 718627 740696
Blocks: 749160
  Show dependency treegraph
 
Reported: 2012-03-06 13:00 PST by Hubert Figuiere [:hub]
Modified: 2012-06-11 21:21 PDT (History)
5 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Enable Accessibility on Mac. r= (1.05 KB, patch)
2012-03-06 13:08 PST, Hubert Figuiere [:hub]
no flags Details | Diff | Splinter Review
Enable accessibility by default on Mac. r= (1.52 KB, patch)
2012-03-06 17:47 PST, Hubert Figuiere [:hub]
no flags Details | Diff | Splinter Review
Enable accessibility by default on Mac. r= (1.57 KB, patch)
2012-04-25 11:33 PDT, Hubert Figuiere [:hub]
ted: review-
Details | Diff | Splinter Review
Enable accessibility by default on Mac. (1.56 KB, patch)
2012-04-25 15:44 PDT, Hubert Figuiere [:hub]
no flags Details | Diff | Splinter Review
Enable accessibility by default on Mac. (1.57 KB, patch)
2012-04-25 16:02 PDT, Hubert Figuiere [:hub]
ted: review+
Details | Diff | Splinter Review

Description User image Hubert Figuiere [:hub] 2012-03-06 13:00:38 PST
For Firefox 14 (tentatively), enable accessibility on Mac.
Comment 1 User image Hubert Figuiere [:hub] 2012-03-06 13:08:21 PST
Created attachment 603427 [details] [diff] [review]
Enable Accessibility on Mac. r=
Comment 2 User image Hubert Figuiere [:hub] 2012-03-06 17:47:27 PST
Created attachment 603536 [details] [diff] [review]
Enable accessibility by default on Mac. r=
Comment 3 User image Hubert Figuiere [:hub] 2012-04-25 11:33:44 PDT
Created attachment 618373 [details] [diff] [review]
Enable accessibility by default on Mac. r=
Comment 4 User image Hubert Figuiere [:hub] 2012-04-25 11:35:37 PDT
Comment on attachment 618373 [details] [diff] [review]
Enable accessibility by default on Mac. r=

We want to make sure enabling a11y in Nightly for Mac has a negligible impact. We are prepared to back it out before the next Aurora uplift if needed.
Comment 5 User image Ted Mielczarek [:ted.mielczarek] 2012-04-25 14:25:40 PDT
Comment on attachment 618373 [details] [diff] [review]
Enable accessibility by default on Mac. r=

Review of attachment 618373 [details] [diff] [review]:
-----------------------------------------------------------------

::: configure.in
@@ -4604,5 @@
> -
> -case "${target}" in
> -*darwin*)
> -    ACCESSIBILITY=
> -    MOZ_WEBAPP_RUNTIME=1

You seem to be losing this MOZ_WEBAPP_RUNTIME here.
Comment 6 User image Hubert Figuiere [:hub] 2012-04-25 14:27:07 PDT
damn. I messed up the rebase.

good catch.
Comment 7 User image Hubert Figuiere [:hub] 2012-04-25 15:44:30 PDT
Created attachment 618463 [details] [diff] [review]
Enable accessibility by default on Mac.
Comment 8 User image Hubert Figuiere [:hub] 2012-04-25 16:02:00 PDT
Created attachment 618473 [details] [diff] [review]
Enable accessibility by default on Mac.
Comment 9 User image Hubert Figuiere [:hub] 2012-04-25 16:30:37 PDT
Comment on attachment 618473 [details] [diff] [review]
Enable accessibility by default on Mac.

Fixed that mistake in the previous version.
Comment 10 User image Marco Zehe (:MarcoZ) 2012-04-25 23:32:16 PDT
Comment on attachment 618473 [details] [diff] [review]
Enable accessibility by default on Mac.

Does this enable the mochitests-a11y on all Mac builds automatically, too, or do these need to be turned on separately?
Comment 11 User image Hubert Figuiere [:hub] 2012-04-25 23:35:47 PDT
I don't enable any test.
Comment 12 User image Ted Mielczarek [:ted.mielczarek] 2012-04-26 06:00:13 PDT
You'll need a separate bug in mozilla.org : Release Engineering to enable mochitest-a11y on mac builds.
Comment 13 User image Marco Zehe (:MarcoZ) 2012-04-27 01:54:29 PDT
Rebased and pushed to inbound on Hub's behalf: http://hg.mozilla.org/integration/mozilla-inbound/rev/76447b588eea
Note that this only enables accessibility, it does not yet run the Mochitest suite of tests. This will be dealt with in bug 749160 separately.
Comment 14 User image Ryan VanderMeulen [:RyanVM] 2012-04-29 13:54:11 PDT
http://hg.mozilla.org/mozilla-central/rev/76447b588eea
Comment 15 User image Hubert Figuiere [:hub] 2012-06-11 21:21:46 PDT
backed out with bug 761256. Will come back with bug 761763

Note You need to log in before you can comment on or make changes to this bug.